# Class TimeoutThread

java.lang.Object
java.lang.Thread
org.jmol.thread.JmolThread
org.jmol.thread.TimeoutThread

All Implemented Interfaces:
  `Runnable`

public class TimeoutThread extends JmolThread

## Nested Class Summary

### Nested classes/interfaces inherited from class Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`script`

### Fields inherited from class JmolThread

`CHECK1, CHECK2, CHECK3, currentTime, eval, FINISH, haveReference, hoverEnabled, INIT, isJS, isReset, lastRepaintTime, MAIN, name, sc, sleepTime, startTime, stopped, targetTime, useTimeout, vwr`

### Fields inherited from class Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`TimeoutThread(Viewer vwr, String name, int ms, String script)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`clear(Map<String,Object> timeouts)`
`protected void`
`run1(int mode)`
`static void`
`setTimeout(Viewer vwr, Map<String,Object> timeouts, String name, int mSec, String script)`
`static String`
`showTimeout(Map<String,Object> timeouts, String name)`
`String`
`toString()`
`static void`
`trigger(Map<String,Object> timeouts, String name)`

### Methods inherited from class JmolThread

`checkInterrupted, interrupt, oops, reset, resumeEval, run, runSleep, setEval, setManager, setViewer, start`

### Methods inherited from class Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, startVirtualThread, stop, threadId, yield`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### script

public String script

## Constructor Details

### TimeoutThread

public TimeoutThread(Viewer vwr, String name, int ms, String script)

Parameters:
  `vwr` -
  `name` -
  `ms` -
  `script` -

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `JmolThread`

### run1

protected void run1(int mode) throws InterruptedException

Specified by:
  `run1` in class `JmolThread`
Throws:
  `InterruptedException`

### clear

public static void clear(Map<String,Object> timeouts)

### setTimeout

public static void setTimeout(Viewer vwr, Map<String,Object> timeouts, String name, int mSec, String script)

### trigger

public static void trigger(Map<String,Object> timeouts, String name)

### showTimeout

public static String showTimeout(Map<String,Object> timeouts, String name)